package com.persagy.functions.weather.service;

import java.util.Date;
import java.util.List;

import com.persagy.ems.pojo.wz.DayHisRecord;
import com.persagy.ems.pojo.wz.DayPredictRecord;
import com.persagy.framework.dto.TimeSpanCondition;
import com.persagy.functions.weather.dto.DayPredictDTO;

public interface DayHisRecordService {
	public void save(DayHisRecord paramDayHisRecord) throws Exception;

	public void saveBatch(List<DayHisRecord> paramList) throws Exception;

	public List<DayHisRecord> query(String cityId, Date start, Date end) throws Exception;

	public List<DayHisRecord> query(Date start, Date end) throws Exception;

	public List<DayHisRecord> queryOneDay(Date dayTime) throws Exception;
	
	public void coverPredictRecord(String cityId, List<DayPredictRecord> list) throws Exception;
	
	public void coverPredictRecordUseDTO(String cityId, List<DayPredictDTO> predicDataList) throws Exception;
	
	public List<DayPredictRecord> queryPredictData(String cityId, int limit) throws Exception;
	
	public List<DayPredictRecord> queryPredictData(String cityId, Date start, Date end) throws Exception;
	
	public List<DayPredictRecord> queryPredictDataOfOneDay(Date dayTime) throws Exception;

	public void updateOne(String cityId, Date paramDate, DayHisRecord paramDayHisRecord) throws Exception;
}
